SolrInputDocument::addField
SolrInputDocument::__clone
SolrInputDocument
PHP Manual

# SolrInputDocument::clear

Resets the input document

### Description

public bool SolrInputDocument::clear ( void )

Resets the document by dropping all the fields and resets the document boost to zero.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.